Package org.eclipse.m2m.atl.core.ant

# Class AtlBuildListener

java.lang.Object
org.eclipse.m2m.atl.core.ant.AtlBuildListener

All Implemented Interfaces:
  `EventListener`, `org.apache.tools.ant.BuildListener`

public class AtlBuildListener extends Object implements org.apache.tools.ant.BuildListener
The build listener, used to handle log and to dispose models after processing.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AtlBuildListener()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`attachBuildListener(org.apache.tools.ant.Project project)`
Attach the log to a given project if necessary.
`void`
`buildFinished(org.apache.tools.ant.BuildEvent event)`
`void`
`buildStarted(org.apache.tools.ant.BuildEvent event)`
`static ModelFactory`
`getModelFactory(String factoryName)`
Manages model factories: singleton are stored (generally one) during the execution of a project, and finally garbage-collected.
`void`
`messageLogged(org.apache.tools.ant.BuildEvent event)`
`void`
`targetFinished(org.apache.tools.ant.BuildEvent event)`
`void`
`targetStarted(org.apache.tools.ant.BuildEvent event)`
`void`
`taskFinished(org.apache.tools.ant.BuildEvent event)`
`void`
`taskStarted(org.apache.tools.ant.BuildEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlBuildListener

protected AtlBuildListener()
Constructor.

## Method Details

### attachBuildListener

public static void attachBuildListener(org.apache.tools.ant.Project project)
Attach the log to a given project if necessary.

Parameters:
  `project` - the current project

### buildFinished

public void buildFinished(org.apache.tools.ant.BuildEvent event)

Specified by:
  `buildFinished` in interface `org.apache.tools.ant.BuildListener`
See Also:
  - `BuildListener.buildFinished(org.apache.tools.ant.BuildEvent)`

### getModelFactory

public static ModelFactory getModelFactory(String factoryName) throws org.apache.tools.ant.BuildException
Manages model factories: singleton are stored (generally one) during the execution of a project, and finally garbage-collected.

Parameters:
  `factoryName` - the factory name
Returns:
  the factory instance
Throws:
  `org.apache.tools.ant.BuildException`

### buildStarted

public void buildStarted(org.apache.tools.ant.BuildEvent event)

Specified by:
  `buildStarted` in interface `org.apache.tools.ant.BuildListener`
See Also:
  - `BuildListener.buildStarted(org.apache.tools.ant.BuildEvent)`

### messageLogged

public void messageLogged(org.apache.tools.ant.BuildEvent event)

Specified by:
  `messageLogged` in interface `org.apache.tools.ant.BuildListener`
See Also:
  - `BuildListener.messageLogged(org.apache.tools.ant.BuildEvent)`

### targetFinished

public void targetFinished(org.apache.tools.ant.BuildEvent event)

Specified by:
  `targetFinished` in interface `org.apache.tools.ant.BuildListener`
See Also:
  - `BuildListener.targetFinished(org.apache.tools.ant.BuildEvent)`

### targetStarted

public void targetStarted(org.apache.tools.ant.BuildEvent event)

Specified by:
  `targetStarted` in interface `org.apache.tools.ant.BuildListener`
See Also:
  - `BuildListener.targetStarted(org.apache.tools.ant.BuildEvent)`

### taskFinished

public void taskFinished(org.apache.tools.ant.BuildEvent event)

Specified by:
  `taskFinished` in interface `org.apache.tools.ant.BuildListener`
See Also:
  - `BuildListener.taskFinished(org.apache.tools.ant.BuildEvent)`

### taskStarted

public void taskStarted(org.apache.tools.ant.BuildEvent event)

Specified by:
  `taskStarted` in interface `org.apache.tools.ant.BuildListener`
See Also:
  - `BuildListener.taskStarted(org.apache.tools.ant.BuildEvent)`